
# download, unpack, apply patches, move ready to build sources to $sources
# and tarballs to $tarballs

sources=sources
tarballs=tarballs

#SF="http://downloads.sourceforge.net/project"
SF="http://kent.dl.sourceforge.net/project"
GET="wget"


# first download tarballs, patches and source from cvs

# ActiveState Tcl8.4 (ActiveTcl8.4.19.5.294317) has component versions named:
# itcl3.4, itk3.4, iwidgets4.0.2, tdom0.8.3, treectrl2.2.10, Img1.4.0.4
# We build similar versions.

# tcl/tk
$GET $SF/tcl/Tcl/8.4.20/tcl8.4.20-src.tar.gz || exit 1
$GET $SF/tcl/Tcl/8.4.20/tk8.4.20-src.tar.gz || exit 1

# tktreectrl
$GET $SF/tktreectrl/tktreectrl/tktreectrl-2.2.10/tktreectrl-2.2.10.tar.gz

# tkImg
#$GET $SF/tkimg/tkimg/1.4/tkimg1.4.tar.gz
svn export https://tkimg.svn.sourceforge.net/svnroot/tkimg/trunk -r328 tkimg-r328 || exit

# blt with patch
$GET $SF/blt/BLT/BLT%202.4z/BLT2.4z.tar.gz
# patch-2 from the official repository
$GET $SF/blt/BLT/BLT%202.4z/blt2.4z-patch-2
# 64-bit patch available in many places on the web (e.g. in fedora distro)
$GET http://jfontain.free.fr/blt2.4z-patch-64
# custom patch to make configure work on OSX and to support LDFLAGS on Linux
$GET https://gist.github.com/wojdyr/5276703/raw/blt2.4z-configure.patch

# tDOM website is gone, now sources are available only from github,
# since there is almost no activity in the last years we can safely download
# last rev, which is now g88e5072.
$GET https://nodeload.github.com/tDOM/tdom/tarball/master
mv master tDOM-master.tar.gz

# incrTcl (with incrTk and iwidgets)
#$GET $SF/incrtcl/%5BIncr%20Tcl_Tk%5D-source/3.4.1/itcl3.4.1.tar.gz
cvs -d:pserver:anonymous@incrtcl.cvs.sourceforge.net:/cvsroot/incrtcl export -D 2011-09-13 -d itcl-20110913cvs incrTcl
cvs -d:pserver:anonymous@incrtcl.cvs.sourceforge.net:/cvsroot/incrtcl export -D 2011-09-13 -d iwidgets-20110913cvs iwidgets


# move tarballs and patches from the current directory
#rm -rf $tarballs
mkdir -p $tarballs
mv *.tar.gz blt2.4z-*patch* $tarballs


# unpack & patch
for file in $tarballs/*.tar.gz; do
 tar xzf $file
done
patch -p0 < $tarballs/blt2.4z-patch-2
patch -p0 < $tarballs/blt2.4z-patch-64
patch -p0 < $tarballs/blt2.4z-configure.patch

# move ready to compile sources to $sources
#rm -rf $sources
mkdir -p $sources
mv tcl8* tk8* blt2* tktreectrl* tkimg* tDOM* itcl* iwidgets-* $sources
cp `dirname $0`/README $sources/

